%define upstream_name    Test-Data-Split
%define upstream_version 0.2.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Hash backend
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::All)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Module::Build)
BuildRequires: perl(MooX)
BuildRequires: perl(MooX::late)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More)
BuildRequires: perl(autodie)
BuildRequires: perl(lib)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
This module splits a set of data with IDs and arbitrary values into one
test file per (key+value) for easy parallelisation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc README Changes LICENSE META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.2.0-2.mga6
+ Revision: 1034253
- Rebuild for perl 5.22.2

* Fri Apr 22 2016 shlomif <shlomif> 0.2.0-1.mga6
+ Revision: 1005356
- New version 0.2.0

* Mon Jan 04 2016 shlomif <shlomif> 0.0.4-1.mga6
+ Revision: 919622
- New version 0.0.4

* Tue Jun 23 2015 shlomif <shlomif> 0.0.2-1.mga6
+ Revision: 841421
- imported package perl-Test-Data-Split


* Tue Jun 23 2015 cpan2dist 0.0.2-1mga
- initial mageia release, generated with cpan2dist
